# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():

    exes = glob.glob('*.exe')
    version = control['version'].split('-',1)[0]
    shortversion = version.rsplit('.',1)[0]

    fileinstall = "krita-x64-%s-setup.exe" % version
    if not isfile(fileinstall):
        fileinstall = "krita-x64-%s-setup.exe" % shortversion

    install_exe_if_needed(fileinstall,silentflags='/S',min_version=version,key='Krita_x64',killbefore=['krita.exe'])

    remove_desktop_shortcut('Krita')


def update_package():

    """I retrieve the current file from the official site >>>"""

    page = ensure_unicode( wgets('https://krita.org/en/download/krita-desktop/'))
    for line in page.splitlines() :
        if 'krita-x64-' in line and '.exe' in line :
            linkx64 = line[line.find("https://"):line.find('.exe')] + '.exe'
            setupx64 = linkx64.rsplit('/',1)[1]

    """Deleting old files"""

    exes = glob.glob('*.exe')
    for fn in exes:
        if fn != setupx64:
            remove_file(fn)

    """I download the file if it does not exist >>>"""

    if not isfile(setupx64):
        wget(linkx64,setupx64)

    """I write the version in the control file >>>"""

    control.version = get_file_properties(setupx64)['ProductVersion'] + '-0'
    control.save_control_to_wapt()

    print('The update is complete, you can now test and then launch a build upload.')
